Package net.dona.doip

# Class InDoipSegmentFromJson

java.lang.Object
net.dona.doip.InDoipSegmentFromJson

All Implemented Interfaces:
  `InDoipSegment`

public class InDoipSegmentFromJson extends Object implements InDoipSegment
An implementation of `InDoipSegment` produced from supplied JSON, which is always a JSON segment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InDoipSegmentFromJson(com.google.gson.JsonElement json)`
  Constructs an `InDoipSegment` JSON segment from the supplied JSON.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputStream`
  `getInputStream()`
  Returns an input stream, for either a JSON segment or a bytes segment.
  `com.google.gson.JsonElement`
  `getJson()`
  Returns the JSON of a JSON segment
  `boolean`
  `isJson()`
  Returns true if this is a JSON segment, false if this is a bytes segment.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InDoipSegmentFromJson

    public InDoipSegmentFromJson(com.google.gson.JsonElement json)
    Constructs an `InDoipSegment` JSON segment from the supplied JSON.
    Parameters:
      `json` - the JSON for the JSON segment

- ## Method Details

  - ### isJson

    public boolean isJson()
    Description copied from interface: `InDoipSegment`
    Returns true if this is a JSON segment, false if this is a bytes segment.
    Specified by:
      `isJson` in interface `InDoipSegment`
    Returns:
      true if this is a JSON segment, otherwise false

  - ### getInputStream

    public InputStream getInputStream()
    Description copied from interface: `InDoipSegment`
    Returns an input stream, for either a JSON segment or a bytes segment.
    Specified by:
      `getInputStream` in interface `InDoipSegment`
    Returns:
      an input stream containing the bytes from the segment (including a serialization of a JSON segment)

  - ### getJson

    public com.google.gson.JsonElement getJson()
    Description copied from interface: `InDoipSegment`
    Returns the JSON of a JSON segment
    Specified by:
      `getJson` in interface `InDoipSegment`
    Returns:
      the JSON of a JSON segment